#!/bin/bash

l1=`grep elease /etc/redhat-release`

l=${l1##*elease }
l=${l%% (*}

rls=unknown

echo $l | grep -q '^\(4\.9[0-9]\|5\.[0-9]\|5\)$' && {
    rls=5
    echo '%define SL5 1'
    echo '%define SL6 0'
    echo "%define SLrelease sl5"
}

echo $l | grep -q '^6\.[0-9]\( Beta\)\?$' && {
    rls=6
    echo '%define SL5 0'
    echo '%define SL6 1'
    echo "%define SLrelease sl6"
}

if [ $# -gt 0 -a "$1" != "" ]; then
    kernel=$1
else
    kernel=`uname -r`
fi

kernel=${kernel%.i686}
kernel=${kernel%.x86_64}
unamem=`uname -m`

if [ $rls = 5 ]; then
    unamer=$kernel
    ksrcdir=/usr/src/kernels/$kernel-$unamem
else
    unamer=$kernel.$unamem
    ksrcdir=/usr/src/kernels/$unamer
fi

kmoddir=/lib/modules/${unamer}/extra/openafs
kbuildreq="kernel-devel-$unamem = $kernel"
kreq="kernel-$unamem = $kernel"

kmodrelsfx=${kernel#*-}
kmodrelsfx=${kmodrelsfx%.*}

echo "%define unamer $unamer"
echo "%define kernel $kernel"
echo "%define kmoddir $kmoddir"
echo "%define ksrcdir $ksrcdir"
echo "%define kbuildreq $kbuildreq"
echo "%define kreq $kreq"
echo "%define kmodrelsfx $kmodrelsfx"
